<?php namespace Anomaly\PolymorphicFieldType;

use Anomaly\Streams\Platform\Addon\FieldType\FieldType;
use Illuminate\Database\Eloquent\Relations\MorphTo;

/**
 * Class PolymorphicFieldType
 *
 * @link          http://anomaly.is/streams-platform
 * @author        AnomalyLabs, Inc. <hello@anomaly.is>
 * @author        Ryan Thompson <ryan@anomaly.is>
 */
class PolymorphicFieldType extends FieldType
{

    /**
     * The input view.
     *
     * @var string
     */
    protected $inputView = 'anomaly.field_type.polymorphic::input';

    /**
     * Get the relation.
     *
     * @return MorphTo|mixed|null
     */
    public function getRelation()
    {
        return $this->entry->morphTo($this->getField());
    }
}
